Anonymous Login
2019-10-18 04:46 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000074v1.0 Release (Closed)[All Projects] Generalpublic2010-06-21 20:55
Reportercaseydk 
Assigned Tocaseydk 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Product Version1.0 
Target VersionFixed in Version1.0 
Summary0000074: Secure Read-only iCal Output (per-User)
DescriptionIn order to integrate with people's main Calendars (thunderbird, Gcal), etc, the system should have a way of providing a per-User iCal feed that displays all tasks and events currently assigned to them along with which project it is attached to.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000164

caseydk (administrator)

This is implemented in r274 through 278.

On each users' page, you'll now see an entry that says "Calendar Feed" with a button that says "regenerate feed url". If the user doesn't have a feed, they can hit the button and it will generate a new url and be visible under the "calendar feed" link. If the user does have a feed, they can hit the button and the system will invalidate the old feed (delete it) and create a new one.

It deletes the old feed in case it was compromised or otherwise made unsuitable for use.
+Notes

-Issue History
Date Modified Username Field Change
2008-10-26 15:14 caseydk New Issue
2009-01-29 04:18 caseydk Status new => assigned
2009-01-29 04:18 caseydk Assigned To => caseydk
2009-02-13 12:04 caseydk Status assigned => resolved
2009-02-13 12:04 caseydk Resolution open => fixed
2009-02-13 12:04 caseydk Note Added: 0000164
2009-06-07 19:56 caseydk Project Pending Requests => v1.0 Release (Closed)
2009-06-07 19:57 caseydk Status resolved => closed
2009-07-28 11:13 caseydk Status closed => resolved
2009-07-28 11:13 caseydk Fixed in Version => 1.0
2009-07-28 11:14 caseydk Status resolved => closed
2010-06-21 20:55 caseydk Product Version => 1.0
2010-06-21 20:55 caseydk Description Updated
+Issue History